#ifndef UTAGIT_H
#define UTAGIT_H

#include <QMainWindow>

namespace Ui {
    class Utagit;
}

class Utagit : public QMainWindow
{
    Q_OBJECT

public:
    explicit Utagit(QWidget *parent = 0);
    ~Utagit();

public slots: // slots are just ordinary functions, but signals can connect to them!
    void fileOpen();
    void helpHelp();
    void helpAbout();
    void update();
    void modeChange();
    void onTop();
    void dragEnterEvent(QDragEnterEvent *event); // for drag-drop

private:
    Ui::Utagit *ui;
    void setCurrentPath(void);
    void dropEvent(QDropEvent *event);
    void readtags(QString filename);
    void setgenre(int n);
    void writetags();
    QString incString(QString str);
    char tagbuffer[128];
    qint64 tagposition;
    QString currentfile;
};

#endif // UTAGIT_H
